//////////////////////////////////////////////////////////////////////////////
//	Copyright  1998 Chris Cant, PHD Computer Consultants Ltd
//	WDM Book for R&D Books, Miller Freeman Inc
//
//	Wdm3 example
/////////////////////////////////////////////////////////////////////////////
//	eventlog.h:			Constants, structures, and function
//						declarations used for event logging.
/////////////////////////////////////////////////////////////////////////////
//	Version history
//	27-Apr-99	1.0.0	CC	creation
/////////////////////////////////////////////////////////////////////////////

#ifndef __EVENTLOG__
#define __EVENTLOG__

/////////////////////////////////////////////////////////////////////////////

void Wdm3EventMessage(const char* Msg);

void InitializeEventLog( IN PDRIVER_OBJECT DriverObject);

bool LogEvent(	IN NTSTATUS	ErrorCode,
				IN PIRP		Irp,
				IN ULONG	DumpData[],
				IN int		DumpDataCount,
				IN PWSTR	Strings[],
				IN int		StringCount);

/////////////////////////////////////////////////////////////////////////////

#endif	// __EVENTLOG__

