//////////////////////////////////////////////////////////////////////////////
//	Copyright  1998 Chris Cant, PHD Computer Consultants Ltd
//	WDM Book for R&D Books, Miller Freeman Inc
//
//	PassThru example
/////////////////////////////////////////////////////////////////////////////
//	wdm1.h			Common header
/////////////////////////////////////////////////////////////////////////////
//	Version history
//	27-Apr-99	1.0.0	CC	creation
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
//	Include WDM standard header with C linkage

#ifdef __cplusplus
extern "C"
{
#endif

#include "wdm.h"
#ifdef __cplusplus
}
#endif

/////////////////////////////////////////////////////////////////////////////
//	DebugPrint and Guid headers

#include "DebugPrint.h"

#include "GUIDs.h"

/////////////////////////////////////////////////////////////////////////////
//	Our device extension

typedef struct _PASSTHRU_DEVICE_EXTENSION
{
	PDEVICE_OBJECT	fdo;
	PDEVICE_OBJECT	NextStackDevice;
	UNICODE_STRING	ifSymLinkName;

} PASSTHRU_DEVICE_EXTENSION, *PPASSTHRU_DEVICE_EXTENSION;

/////////////////////////////////////////////////////////////////////////////
// Forward declarations of global functions

VOID PassThruUnload(IN PDRIVER_OBJECT DriverObject);

NTSTATUS PassThruPnp(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS PassThruPower(	IN PDEVICE_OBJECT fdo,
						IN PIRP Irp);

NTSTATUS PassThruAddDevice(	IN PDRIVER_OBJECT DriverObject,
						IN PDEVICE_OBJECT pdo);

/////////////////////////////////////////////////////////////////////////////

